Skip to main content
DELETE
/
whatsapp
/
broadcasts
/
{broadcast_id}
/
recipients
Clear recipients
curl --request DELETE \
  --url https://api.kapso.ai/platform/v1/whatsapp/broadcasts/{broadcast_id}/recipients \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "total_recipients": 1,
    "scheduled_at": "2023-11-07T05:31:56Z",
    "started_at": "2023-11-07T05:31:56Z",
    "stopped_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "sent_count": 1,
    "failed_count": 1,
    "delivered_count": 1,
    "read_count": 1,
    "pending_count": 1,
    "responded_count": 1,
    "response_rate": 123,
    "phone_number_id": "<string>",
    "whatsapp_template": {
      "id": "<string>",
      "name": "<string>",
      "language_code": "<string>",
      "category": "<string>",
      "status": "<string>",
      "meta_template_id": "<string>",
      "components": [
        {}
      ]
    }
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

broadcast_id
string<uuid>
required

Response

OK

data
object
required